package cn.com.tenlion.configcontent.pojo.vos.contentlike;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentLikeVO
 * @Description: CBC内容管理点赞记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:39:38
 * @Version: 3.0
 **/
@ApiModel
public class ContentLikeVO {

    @ApiModelProperty(name = "businessId", value = "业务表ID")
    @CheckEmptyAnnotation(name = "业务表ID")
    private String businessId;
    @ApiModelProperty(name = "contentLikeUserName", value = "点赞人姓名")
    private String contentLikeUserName;
    @ApiModelProperty(name = "contentLikeUserIcon", value = "点赞人头像")
    private String contentLikeUserIcon;

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentLikeUserName() {
        return contentLikeUserName == null ? "" : contentLikeUserName.trim();
    }

    public void setContentLikeUserName(String contentLikeUserName) {
        this.contentLikeUserName = contentLikeUserName;
    }

    public String getContentLikeUserIcon() {
        return contentLikeUserIcon == null ? "" : contentLikeUserIcon.trim();
    }

    public void setContentLikeUserIcon(String contentLikeUserIcon) {
        this.contentLikeUserIcon = contentLikeUserIcon;
    }


}
